package com.hfkj.sysenum;

import java.util.Objects;

/**
 * @className: MerLedgerStatusEnum
 * @author: HuRui
 * @date: 2023/4/18
 **/
public enum MerLedgerReceiverAuditStatusEnum {
    status1(1, "绑定分账审核中"),
    status2(2, "通过"),
    status3(3, "驳回"),
    status4(4, "解绑分账审核中"),
    status5(5, "解除分账驳回"),
    ;

    private Integer number;

    private String name;


    MerLedgerReceiverAuditStatusEnum(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static MerLedgerReceiverAuditStatusEnum getDataByNumber(Integer number) {
        for (MerLedgerReceiverAuditStatusEnum ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
